# source http://download.kde.org/stable/plasma/5.6.5/sddm-kcm-5.6.5.tar.xz

%define rel 2

Summary:        SDDM KDE configuration module
Name:           sddm-kcm
Version: 		5.6.5
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        %{name}-%{version}.tar.xz
Patch0:			sddm-kcm-5.6.1-fix-session-dir.patch
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires:	%{_lib}qt5base5-devel
BuildRequires:	%{_lib}qt5core-devel
BuildRequires:	%{_lib}qt5dbus-devel
BuildRequires:	%{_lib}qt5gui-devel
BuildRequires:	%{_lib}qt5help-devel
BuildRequires:	%{_lib}qt5imageformats-devel
BuildRequires:	%{_lib}qt5network-devel
BuildRequires:	%{_lib}qt5qml-devel
BuildRequires:	%{_lib}qt5quick-devel
BuildRequires:	%{_lib}qt5bluetooth-devel
BuildRequires:	%{_lib}qt5bootstrap-devel
BuildRequires:	%{_lib}qt5clucene-devel
BuildRequires:	%{_lib}qt5concurrent-devel
BuildRequires:	%{_lib}qt5designer-devel
BuildRequires:	%{_lib}qt5egldeviceintegration-devel
BuildRequires:	%{_lib}qt5labstemplates-devel
BuildRequires:	%{_lib}qt5location-devel
BuildRequires:	%{_lib}qt5multimedia-devel
BuildRequires:	%{_lib}qt5multimediaquick_p-devel
BuildRequires:	%{_lib}qt5multimediawidgets-devel
BuildRequires:	%{_lib}qt5nfc-devel
BuildRequires:	%{_lib}qt5opengl-devel
BuildRequires:	%{_lib}qt5platformsupport-devel
BuildRequires:	%{_lib}qt5positioning-devel
BuildRequires:	%{_lib}qt5printsupport-devel
BuildRequires:	%{_lib}qt5qgsttools_p-devel
BuildRequires:	%{_lib}qt5quickparticles-devel
BuildRequires:	%{_lib}qt5quicktest-devel
BuildRequires:	%{_lib}qt5quickwidgets-devel
BuildRequires:	%{_lib}qt5script-devel
BuildRequires:	%{_lib}qt5scripttools-devel
BuildRequires:	%{_lib}qt5sensors-devel
BuildRequires:	%{_lib}qt5serialport-devel
BuildRequires:	%{_lib}qt5sql-devel
BuildRequires:	%{_lib}qt5svg-devel
BuildRequires:	%{_lib}qt5test-devel
BuildRequires:	%{_lib}qt5waylandclient-devel
BuildRequires:	%{_lib}qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  libxcb-devel
BuildRequires:  x11-server-devel
BuildRequires:  x11-driver-input-synaptics-devel
BuildRequires:  x11-driver-input-evdev-devel
BuildRequires:  x11-data-xkbdata
BuildRequires:  %{_lib}usb1.0-devel
BuildRequires:  %{_lib}x11-devel
BuildRequires:  %{_lib}xkbfile-devel
BuildRequires:  %{_lib}xft-devel
BuildRequires:  %{_lib}xcursor-devel

BuildRequires:  ki18n-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kauth-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kio-devel

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl
#---------------------------------
Requires: sddm
#---------------------------------

%description
This is a System Settings configuration module for configuring the
SDDM Display Manager

%files -f %{name}5.lang
%_sysconfdir/dbus-1/system.d/org.kde.kcontrol.kcmsddm.conf
%_qt5_plugindir/kcm_sddm.so
%_libexecdir/kauth/kcmsddm_authhelper
%_datadir/dbus-1/system-services/org.kde.kcontrol.kcmsddm.service
%_kf5_services/kcm_sddm.desktop
%_datadir/polkit-1/actions/org.kde.kcontrol.kcmsddm.policy
%_kf5_datadir/sddm-kcm

#------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
%find_lang --all %{name}5


%changelog
* Sat Jul 02 2016 bb <bb> 5.6.5-2pclos2016
- add requires sddm

* Thu Jun 30 2016 bb <bb> 5.6.5-1pclos2016
- update

* Fri Jun 24 2016 marcin82 <marcin82 at vp.pl> 5.6.1-2pclos2016
- fixed xsessions default dir for usage with SDDM

* Sun Mar 27 2016 bb <bb> 5.6.1-1pclos2016
- create
